# Google Scholar Profiles API

Discover renowned authors featured on the Google Scholar platform using our dedicated API.

To access this specialized feature, incorporate the `engine=google_scholar_profiles` parameter in your request.

The Google Scholar Profiles API meticulously curates and delivers a comprehensive list of esteemed authors, precisely matched to the keyword specified in your query parameter. Dive into the academic world and uncover notable authors relevant to your research or interest.

### Google Scholar Profiles API Integration Examples

We will use following URL as an example for this request:

```
https://serp.shifter.io/v1?api_key=<YOUR_API_KEY>&engine=google_scholar_profiles&mauthors=jake
```

### Ready to use Google Scholar Profiles Scraping Scripts

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request GET --url "https://serp.shifter.io/v1?api_key=YOUR_API_KEY&engine=google_scholar_profiles&mauthors=jake"
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const http = require("https");

const options = {
  "method": "GET",
  "hostname": "serp.shifter.io",
  "port": null,
  "path": "/v1?api_key=YOUR_API_KEY&engine=google_scholar_profiles&mauthors=jake",
  "headers": {}
};

const req = http.request(options, function (res) {
  const chunks = [];

  res.on("data", function (chunk) {
    chunks.push(chunk);
  });

  res.on("end", function () {
    const body = Buffer.concat(chunks);
    console.log(body.toString());
  });
});

req.end();
```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("serp.shifter.io")

conn.request("GET", "/v1?api_key=YOUR_API_KEY&engine=google_scholar_profiles&mauthors=jake")

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php


```

{% endtab %}
{% endtabs %}

### Google Scholar Profiles Parameters

#### #1: Query Parameter

<table><thead><tr><th width="187">Parameter</th><th width="107" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>mauthors</code><br> <mark style="color:red;background-color:red;">Required</mark> </td><td align="center"><code>string</code></td><td>The names that you are searching for (the query).</td></tr></tbody></table>

#### #2: Localisation Parameters

<table><thead><tr><th width="184">Parameter</th><th width="106" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>hl</code></td><td align="center"><code>string</code></td><td>The language you want to use for your Google Search. <a href="https://developers.google.com/custom-search/docs/xml_results_appendices#interfaceLanguages">List of supported languages</a></td></tr></tbody></table>

#### #3: Pagination Parameters

<table><thead><tr><th width="184">Parameter</th><th width="106" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>after_author</code></td><td align="center"><code>int</code></td><td>Defines the next page token and must precede the value of <code>before_author</code>.</td></tr><tr><td><code>before_author</code></td><td align="center"><code>int</code></td><td>Defines the previous page token.</td></tr></tbody></table>

<details>

<summary>Response Example</summary>

```javascript
{
  "search_parameters": {
    "google_url": "https://scholar.google.com/citations?view_op=search_authors&mauthors=jake&sourceid=chrome&ie=UTF-8",
    "engine": "google_scholar_profiles",
    "google_domain": "scholar.google.com",
    "device": "desktop",
    "query": "jake"
  },
  "profiles": [
    {
      "thumbnail": "https://scholar.googleusercontent.com/citations?view_op=small_photo&user=5cFtJIUAAAAJ&citpid=1",
      "name": "T. Jake Liang",
      "link": "https://scholar.google.com/citations?hl=en&user=5cFtJIUAAAAJ",
      "author_id": "5cFtJIUAAAAJ",
      "affiliations": "NIH",
      "email": "Verified email at nih.gov",
      "cited_by": 40822,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:viral_hepatitis_and_liver_diseases",
          "title": "Viral hepatitis and liver diseases"
        }
      ],
      "position": 1
    },
    {
      "thumbnail": "/citations/images/avatar_scholar_56.png",
      "name": "Jake Wilson",
      "link": "https://scholar.google.com/citations?hl=en&user=QnlIoyAAAAAJ",
      "author_id": "QnlIoyAAAAAJ",
      "affiliations": "Professor of French Art History, New York University",
      "email": "Verified email at asu.edu",
      "cited_by": 27844,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:french_art_history",
          "title": "French Art History"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:france",
          "title": "France"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:french_people",
          "title": "French people"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:wine",
          "title": "Wine"
        }
      ],
      "position": 2
    },
    {
      "thumbnail": "/citations/images/avatar_scholar_56.png",
      "name": "Jake Najman",
      "link": "https://scholar.google.com/citations?hl=en&user=ScAxfJ0AAAAJ",
      "author_id": "ScAxfJ0AAAAJ",
      "affiliations": "School of Public Health, The University of Queensland",
      "email": "Verified email at uq.edu.au",
      "cited_by": 26302,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:social_epidemiology",
          "title": "Social Epidemiology"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:illicit_drugs",
          "title": "Illicit Drugs"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:alcohol",
          "title": "Alcohol"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:life_course_epidemiology",
          "title": "Life Course Epidemiology"
        }
      ],
      "position": 3
    },
    {
      "thumbnail": "https://scholar.googleusercontent.com/citations?view_op=small_photo&user=UuXTH9wAAAAJ&citpid=2",
      "name": "M Jake Vander Zanden",
      "link": "https://scholar.google.com/citations?hl=en&user=UuXTH9wAAAAJ",
      "author_id": "UuXTH9wAAAAJ",
      "affiliations": "Professor, Center for Limnology, University of Wisconsin-Madison",
      "email": "Verified email at wisc.edu",
      "cited_by": 19828,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:lakes",
          "title": "lakes"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:freshwater",
          "title": "freshwater"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:food_webs",
          "title": "food webs"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:stable_isotopes",
          "title": "stable isotopes"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:invasive_species",
          "title": "invasive species"
        }
      ],
      "position": 4
    },
    {
      "thumbnail": "/citations/images/avatar_scholar_56.png",
      "name": "Jake K Byrnes",
      "link": "https://scholar.google.com/citations?hl=en&user=Sy18D70AAAAJ",
      "author_id": "Sy18D70AAAAJ",
      "affiliations": "Director, Computational Genomics, Vertex Pharmaceuticals",
      "cited_by": 18937,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:computational_biology",
          "title": "Computational Biology"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:drug_development",
          "title": "Drug Development"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:population_genetics",
          "title": "Population Genetics"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:statistical_genetics",
          "title": "Statistical Genetics"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:medical_genetics",
          "title": "Medical Genetics"
        }
      ],
      "position": 5
    },
    {
      "thumbnail": "https://scholar.googleusercontent.com/citations?view_op=small_photo&user=vY5xVdYAAAAJ&citpid=5",
      "name": "Jake Estes",
      "link": "https://scholar.google.com/citations?hl=en&user=vY5xVdYAAAAJ",
      "author_id": "vY5xVdYAAAAJ",
      "affiliations": "OHSU",
      "email": "Verified email at ohsu.edu",
      "cited_by": 17757,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:hiv_infection",
          "title": "HIV infection"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:inflammation",
          "title": "inflammation"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:immunology",
          "title": "immunology"
        }
      ],
      "position": 6
    },
    {
      "thumbnail": "https://scholar.googleusercontent.com/citations?view_op=small_photo&user=0Fl6C9oAAAAJ&citpid=1",
      "name": "Jake Lin",
      "link": "https://scholar.google.com/citations?hl=en&user=0Fl6C9oAAAAJ",
      "author_id": "0Fl6C9oAAAAJ",
      "affiliations": "Institute for Molecular Medicine Finland",
      "email": "Verified email at helsinki.fi",
      "cited_by": 13570,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:computational_biology",
          "title": "Computational biology"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:statistical_genetics",
          "title": "Statistical genetics"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:metagenomics",
          "title": "Metagenomics"
        }
      ],
      "position": 7
    },
    {
      "thumbnail": "https://scholar.googleusercontent.com/citations?view_op=small_photo&user=rFB55r0AAAAJ&citpid=5",
      "name": "jake barralet",
      "link": "https://scholar.google.com/citations?hl=en&user=rFB55r0AAAAJ",
      "author_id": "rFB55r0AAAAJ",
      "affiliations": "Faculty of Medicine",
      "email": "Verified email at mcgill.ca",
      "cited_by": 13241,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:biomaterials",
          "title": "Biomaterials"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:tissue_engineering",
          "title": "Tissue Engineering"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:bioceramics",
          "title": "Bioceramics"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:oxygen_delivery",
          "title": "Oxygen Delivery"
        }
      ],
      "position": 8
    },
    {
      "thumbnail": "/citations/images/avatar_scholar_56.png",
      "name": "Jake F. Weltzin",
      "link": "https://scholar.google.com/citations?hl=en&user=dEEFq9YAAAAJ",
      "author_id": "dEEFq9YAAAAJ",
      "affiliations": "US Geological Survey",
      "email": "Verified email at usgs.gov",
      "cited_by": 12010,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:ecology",
          "title": "Ecology"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:climate_change",
          "title": "Climate Change"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:biological_invasions",
          "title": "Biological Invasions"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:phenology",
          "title": "Phenology"
        },
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:ecological_forecasting",
          "title": "Ecological Forecasting"
        }
      ],
      "position": 9
    },
    {
      "thumbnail": "https://scholar.googleusercontent.com/citations?view_op=small_photo&user=HjWB2ZoAAAAJ&citpid=1",
      "name": "Jacob (Jake) Van Dyk",
      "link": "https://scholar.google.com/citations?hl=en&user=HjWB2ZoAAAAJ",
      "author_id": "HjWB2ZoAAAAJ",
      "affiliations": "Western University",
      "email": "Verified email at uwo.ca",
      "cited_by": 11397,
      "interests": [
        {
          "link": "https://scholar.google.com/citations?hl=en&view_op=search_authors&mauthors=label:radiation_oncology_medical_physics",
          "title": "Radiation Oncology Medical Physics"
        }
      ],
      "position": 10
    }
  ]
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.shifter.io/google-serp-api/search-apis/google-scholar-profiles-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
